计算机知识

当前位置:澳门新葡萄京 > 计算机知识 > manager组件安装时提示

manager组件安装时提示

来源:http://www.hhmtch.com 作者:澳门新葡萄京 时间:2019-06-04 03:20

Windows10中自带的IIS:Microsoft-IIS/10.0。

然后这个10却让原本支持组件无法安装了,php manager组件安装时提示“必须安装IIS7以上才可以安装”。

那是不是真的就没法在新的IIS上安装了呢?显然不是的。

自IIS7以来,微软的IIS更改并不大,架构一致,几乎所有IIS7能用的组件都能够在IIS7.7/8/8.5/10上安装。

安装方法:

打开 注册表(regedit)

找到:
HKEY_LOCAL_MACHINESYSTEMCurrentControlSetServicesW3SVCParameters
右侧的 MajorVersion 是DWord值,它的值十进制是10,把它改成9。

然后运行php manager安装程序即可顺利安装上了!

记得装完之后改回来。

php manager的最新下载地址是:

而IIS URL Rewrite 2.0更是奇怪,简体中文版的这个组件无法安装,同样也是检测版本不正常,而英文版却能正常安装。
64位英文版下载地址是:
简体中文版下载地址是:

但是面对一堆英文,有些人肯定也会头疼了,那么简体中文版到底能不能装上。
也能!还是改注册表,我通过分析MSI发现它会检测
HKEY_LOCAL_MACHINESOFTWAREMicrosoftInetStp
也是 MajorVersion 项,这个也是 dword 值 10(注意是十进制),把它改成9,结果顺利安装上了!
这不得不吐槽微软一句:Win10真尼玛坑爹!

您可能感兴趣的文章:

  • iis PHP5配置 PHP扩展模块加载不进来
  • 阿里云Windows 2008一键安装包配置php web环境图文安装教程(IIS Php Mysql)
  • Windows2003下php5.4安装配置教程(IIS)
  • windows server 2008/2012安装php iis7 mysql环境搭建教程
  • win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境
  • Windows 2008 R2 下IIS7.5 PHP5.2环境配置(FastCgi设置)
  • Win2012 R2 IIS8.5 PHP(FastCGI) MySQL运行环境搭建教程
  • 在IIS下安装PHP扩展的方法(超简单)

本文由澳门新葡萄京发布于计算机知识,转载请注明出处:manager组件安装时提示

关键词: